I2PD(1)

NAME
i2pd - Load-balanced unspoofable packet switching network

SYNOPSIS
i2pd [OPTION1] [OPTION2]...

DESCRIPTION
i2pd is a C++ implementation of the router for the I2P anonymizing network, offering a simple layer that identity-sensitive applications can use to securely communicate. All data is wrapped with several layers of encryption, and the network is both distributed and dynamic, with no trusted parties.

Any of the configuration options below can be used in the DAEMON_ARGS variable in /etc/default/i2pd.

--help
    Show available options.

--conf=
    Config file (default: ~/.i2pd/i2pd.conf or /var/lib/i2pd/i2pd.conf) This parameter will be silently ignored if the specified config file does not exist. Options specified on the command line take precedence over those in the config file.

--tunconf=
    Tunnels config file (default: ~/.i2pd/tunnels.conf or /var/lib/i2pd/tunnels.conf)

--pidfile=
    Where to write pidfile (don't write by default)

--log=
    Logs destination: stdout, file, syslog (stdout if not set, file - otherwise, for compatibility)

--logfile
    Path to logfile (default - autodetect)

--loglevel=
    Log messages above this level (debug, info, warn, error)

--datadir=
    Path to storage of i2pd data (RI, keys, peer profiles, ...)

--host=
    The external IP address

--port=
    The port to listen on for incoming connections

--daemon
    Router will go to background after start

--service
    Router will use system folders like /var/lib/i2pd

--ipv6
    Enable communication through ipv6. false by default

--notransit
    Router will not accept transit tunnels at startup

--floodfill
    Router will be floodfill

--bandwidth=
    Bandwidth limit: integer in KBps or letter aliases: L (32KBps), O (256), P (2048), X (>9000)

--family=
    Name of a family, router belongs to.

See service-specific parameters in example config file contrib/i2pd.conf

FILES

/etc/i2pd/i2pd.conf, /etc/i2pd/tunnels.conf, /etc/default/i2pd
    i2pd configuration files (when running as a system service)

/var/lib/i2pd/
    i2pd profile directory (when running as a system service, see --service above)

$HOME/.i2pd/
    i2pd profile directory (when running as a normal user)

/usr/share/doc/i2pd/examples/hosts.txt.gz
    default I2P hosts file

AUTHOR
This manual page was written by kytv <killyourtv@i2pmail.org> for the Debian system (but may be used by others).

Updated by hagen <hagen@i2pmail.org> in 2016.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL